# $Revision: 1.90 $, $Date: 2011/08/31 18:29:00 $
# TODO:
# - move ascii-xfr to separate package (can be used by picocom and others)
Summary:	TTY mode communications package ala Telix
Summary(de.UTF-8):	TTY-Modus-Kommunikationspaket (ähnlich Telix)
Summary(es.UTF-8):	Paquete de comunicaciones modo texto a la Telix
Summary(fi.UTF-8):	Tietoliikenneohjelma, kuten Telix
Summary(fr.UTF-8):	Package de communication en mode terminal à la Telix
Summary(pl.UTF-8):	Program komunikacyjny (podobny do Teliksa)
Summary(pt_BR.UTF-8):	Pacote de comunicações modo texto a la Telix
Summary(ru.UTF-8):	Коммуникационный пакет типа Telix для текстового режима
Summary(tr.UTF-8):	Telix benzeri, TTY kipi iletişim paketi
Summary(uk.UTF-8):	Комунікаційний пакет типу Telix для текстового режиму
Summary(zh_CN.UTF-8):	一个文本界面的调试解调器控制器和终端模拟器。
Name:		minicom
Version:	2.5
Release:	2
License:	GPL v2
Group:		Applications/Communications
Source0:	http://alioth.debian.org/download.php/3487/%{name}-%{version}.tar.gz
# Source0-md5:	a5117d4d21e2c9e825edb586ee2fe8d2
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	93ca30842bce63473004570b6b30be25
Patch0:		%{name}-fromsnap.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-check_exec.patch
Patch3:		%{name}-man_no_ko.patch
Patch4:		%{name}-tinfo.patch
URL:		http://alioth.debian.org/projects/minicom/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.7
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	sed >= 4.0
Requires:	/usr/bin/tput
Requires:	setup >= 2.6.1-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Minicom is a communications program that resembles the MSDOS Telix
somewhat. It has a dialing directory, color, full ANSI and VT100
emulation, an (external) scripting language and more.

%description -l de.UTF-8
Minicom ist ein Kommunikationsprogramm, das Ähnlichkeiten mit Telix
unter MSDOS aufweist. Es enthält ein Wählverzeichnis, Farbe,
vollständige ANSI- und VT100-Emulation, eine (externe) Scriptsprache
usw.

%description -l es.UTF-8
Minicom es un programa de comunicación que se parece con el Telix del
MSDOS. Tiene un directorio de marcado, color, emulación completa ANSI
y VT100, y un lenguaje externo de sxripts y mail.

%description -l fi.UTF-8
Minicom on MSDOS-Telixiä jossain määrin muistuttava
tietoliikenneohjelma. Ohjelmassa on mm. puhelinluettelo, värit, ANSI-
ja VT100-emulaatiot ja ulkoinen script-kieli.

%description -l fr.UTF-8
Minicom est un programme de communication ressemblant a Telix sous
MSDOS. Il a un répertoire de numérotation, des couleurs, une émualtion
ANSI et VT100, un langage de script externe et plus encore.

%description -l pl.UTF-8
Minicom jest programem komunikacyjnym, przypominającym DOS-owy program
Telix. Posiada książkę telefoniczną, emulację terminali ANSI i VT100,
zewnętrzny język skryptowy, obsługę kolorów i wiele innych własności.

%description -l pt_BR.UTF-8
Minicom é um programa de comunicação que parece com o Telix do MSDOS.
Tem um diretório de discagem, cor, emulação completa ANSI e VT100, e
uma linguagem externa de scripts e mail.

%description -l ru.UTF-8
Minicom - это коммуникационная программа, в чем-то похожая на MSDOS
Telix. Она включает телефонную книгу, цвет, полную поддержку ANSI и
VT100, внешний язык скриптов и многое другое.

%description -l tr.UTF-8
Minicom, MSDOS Telix programına benzeyen bir iletişim programıdır.
Numara çevirme dizini, renk, tam ANSI uyumu ve VT100 öykünümü ile
script gibi özellikleri vardır.

%description -l uk.UTF-8
Minicom - це комунікаційна програма, чимось схожа на MSDOS Telix. Вона
містить телефонну книгу, колір, повну підтримку ANSI та VT100, зовнішю
мову скриптів та багато іншого.

%prep
%setup -q
%undos po/pt_BR.po
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

rm -f po/stamp-po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--sysconfdir="%{_sysconfdir}/minicom"

%{__make}

%{__rm} doc/*.old

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/profile.d,%{_sysconfdir}/minicom} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_bindir},%{_datadir}/locale,%{_mandir}/man1}

%{__make} DESTDIR="$RPM_BUILD_ROOT" \
	LIBDIR="%{_sysconfdir}/minicom" \
	MANDIR="%{_mandir}/man1" install

cat << 'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/minicom/minirc.dfl
pu minit            ~^M~ATZ^M~
pu mreset           ~^M~ATZ^M~
EOF

cat << 'EOF' > $RPM_BUILD_ROOT/etc/profile.d/minicom.sh
MINICOM="-l"
if [ "$TERM" ] && [ "`/usr/bin/tput colors 2>/dev/null`" != "-1" ] ; then
	MINICOM="$MINICOM -c on"
fi
export MINICOM
EOF

cat << 'EOF' > $RPM_BUILD_ROOT/etc/profile.d/minicom.csh
setenv MINICOM "-l"
if ( $?TERM ) then
	if ( "`/usr/bin/tput colors 2>/dev/null`" != "-1" ) \
		setenv MINICOM "$MINICOM -c on"
endif
EOF

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

# Prepare directories with doc files
# (nasty hack to avoid Makefiles & have docs splitted into dirs)
install -d rpm-doc/{extras,doc,tables}
cp -a extras/[hsu]* rpm-doc/extras
cp -a doc/* rpm-doc/doc
cp -a extras/tables/mc* rpm-doc/tables
%{__rm} rpm-doc/doc/Makefile*

%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.minicom-non-english-man-pages
%{__rm} $RPM_BUILD_ROOT%{_mandir}/minicom-pld_path.diff

%find_lang minicom

%clean
rm -rf $RPM_BUILD_ROOT

%files -f minicom.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README rpm-doc/{extras,doc,tables}

%attr(750,root,dialout) %dir %{_sysconfdir}/minicom
%attr(640,root,dialout) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/minicom/*
%attr(755,root,root) /etc/profile.d/minicom.sh
%attr(755,root,root) /etc/profile.d/minicom.csh

%attr(755,root,root) %{_bindir}/ascii-xfr
%attr(755,root,root) %{_bindir}/minicom
%attr(755,root,root) %{_bindir}/runscript
%attr(755,root,root) %{_bindir}/xminicom

%{_desktopdir}/minicom.desktop
%{_pixmapsdir}/minicom.png
%{_mandir}/man1/ascii-xfr.1*
%{_mandir}/man1/minicom.1*
%{_mandir}/man1/runscript.1*
%{_mandir}/man1/xminicom.1*
%lang(ko) %{_mandir}/ko/man1/*.1*
%lang(pl) %{_mandir}/pl/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: minicom.spec,v $
Revision 1.90  2011/08/31 18:29:00  arekm
- release 2

Revision 1.89  2011/02/03 18:11:16  qboosh
- more explicit files, use __rm macro

Revision 1.88  2011/02/03 16:08:45  arekm
- up to 2.5

Revision 1.87  2010/05/31 04:32:36  arekm
- upstream tarball

Revision 1.86  2010/05/08 19:01:30  arekm
- our tarball

Revision 1.85  2010/05/08 18:55:36  arekm
- obsolete seds

Revision 1.84  2010/05/08 18:54:19  arekm
- up to 2.4 (own tarball since upstream 2.4 tarball is totally broken)

Revision 1.83  2009/03/16 10:48:34  baggins
- rel 3
- change ttyS group to dialout

Revision 1.82  2008/11/05 11:36:49  hawk
- release 2

Revision 1.81  2008/09/05 13:18:24  pawelz
- up to 2.3

Revision 1.80  2008/06/29 17:10:26  adamg
- avoid conflict with glibc-header's wprintf function (in wchar.h)
- release 3

Revision 1.79  2007-12-28 09:20:38  glen
- rel 2

Revision 1.78  2007-10-24 23:33:46  ankry
- no longer ja_JP.SJIS in sources

Revision 1.77  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.75  2006/10/25 19:42:34  glen
- check-files cleanup; remove non-cvs changelog

Revision 1.74  2006/10/25 19:26:55  qboosh
- updated to 2.2
- removed obsolete uninitialized,ac25x,fi-fix,ac254 patches
- updated pl_po,umask,drop-privs,check_exec patches
- added tinfo,locale-names,setlocale patches
- changed "-L" to "-l" (assume ISO charset, not ANSI)

Revision 1.73  2006/07/31 21:41:08  sparky
- rename internal src/minicom.c getline() function to gethistline()

Revision 1.72  2006/05/28 13:43:02  glen
- tput putputs bogus error about $TERM (the TERM is set in cron), so >/dev/null it's invocation
- rel 6

Revision 1.71  2006/05/03 09:21:48  glen
- avoid cron logrotate messages "tput: No value for $TERM and no -T specified"
- rel 5

Revision 1.70  2006/04/12 21:42:51  glen
- avoid expanding profile scripts at compile time, rel 4

Revision 1.69  2005/05/17 12:07:46  blues
- TODO added

Revision 1.68  2005/03/07 21:55:22  qboosh
- pl fix, cleanup

Revision 1.67  2004/11/07 12:25:19  paladine
- rel 3 for fixed desktop file

Revision 1.66  2004/01/04 21:48:24  ankry
- pl fixes

Revision 1.65  2003/12/10 17:49:42  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.64  2003/12/01 00:40:33  arekm
- fix URL

Revision 1.63  2003/11/29 12:24:49  undefine
- release 1 to rebuild with ac

Revision 1.62  2003/09/12 23:40:03  grzegol
- added icon
- rel. 0.2

Revision 1.61  2003/06/20 00:59:11  qboosh
- updated check_exec, man_no_ko, pl_po, fi-fix patches

Revision 1.60  2003/06/19 22:46:14  qboosh
- removed obsolete 20020516-CVS.diff.gz, time and cs patches
  (additional files from diff moved to new fromsnap patch)
- doc cleanups

Revision 1.59  2003/06/12 15:21:51  areq
- 2.1

Revision 1.58  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.57  2003/05/28 12:59:44  malekith
- massive attack: source-md5

Revision 1.56  2003/05/25 05:50:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.55  2003/03/05 23:23:14  qboosh
- added more fixes and updates to pl_po patch
- added fi-fix patch - now builds with new gettext
- added ac254 patch needed to build with autoconf 2.54 (backward compatible)
- release 10

Revision 1.54  2003/01/24 14:00:17  xysio
- added minicom-pl_po.patch (fixed polish locale)

Revision 1.53  2002/12/07 23:49:19  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.52  2002/11/29 09:30:54  undefine
- updated source url
- new %doc
- release 8

Revision 1.51  2002/10/10 18:54:49  ankry
- we remove directory

Revision 1.50  2002/10/09 14:49:33  kloczek
- relese 7: remove ja_JP.SJIS locale.

Revision 1.49  2002/10/09 10:24:40  qboosh
- BR: gettext-devel; new %doc

Revision 1.48  2002/06/23 20:52:52  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.47  2002/05/21 23:14:09  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/05/19 22:24:00  ankry
- moved message file from cs_CZ/ to cs/
- release 5

Revision 1.45  2002/05/17 23:06:30  kloczek
- bump to relese 4,
- remove unused man_warn, lrzsz patches,
- minor cleanups (do not use %{_sysconfdir} macro in /etc/profile.d path).

Revision 1.44  2002/05/17 20:18:40  qboosh
- po_DESTDIR patch replaced by gettextize call
- added ac25x patch needed for new ac/am

Revision 1.43  2002/05/17 10:39:28  ankry
- upgrade to version 2.00.0
- added current updates from CVS
- fi translation from sources
- removed outdated patches; some other rediffed
- using autoconf/automake
- more docs + nasty hack for placing them in subdirs
- using tput for color terminal detection
- release 1, STBR

Revision 1.42  2002/05/17 05:44:41  kloczek
- merge translations from KSI, Conectiva and TurboLinux.

Revision 1.41  2002/04/29 21:59:23  ankry
- add /etc/profile.d/minicom.csh
- release 14, STBR

Revision 1.40  2002/04/28 19:19:28  ankry
- don't set "-m" option by default (conflicts with pl keyboard settings)
- set "-c on" only for well-known color terminals
- release 13, STBR

Revision 1.39  2002/04/27 02:12:13  ankry
- added patch checking for status code of external programs
- release 12

Revision 1.38  2002/02/23 03:44:49  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/19 22:15:19  ankry
- added ko, pl man pages
- release 11

Revision 1.34  2001/07/04 15:50:07  kloczek
- bump release to 10.

Revision 1.33  2001/05/23 04:47:33  kloczek
- merge format-string-vuln patch from Conectiva,
- merge umask and drop-privs patches from rawhide.

Revision 1.32  2001/05/23 00:08:41  qboosh
- ko patch (generated from iconv EUC-KR re-coding)
- removed "#!/bin/bash" from profile.d script
- release 8

Revision 1.31  2001/05/04 07:54:19  zagrodzki
- added logging format string patch
- release 7 - STB

Revision 1.30  2001/04/13 21:56:48  baggins
- release 6
- added time patch

Revision 1.29  2001/02/22 21:21:19  kloczek
- release 5,
- spec adapterized and new translations in desktop file.

Revision 1.28  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.27  2000/07/13 23:15:35  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.26  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.25  2000/05/30 07:35:19  kloczek
- updated to 1.83.1,
- desktop file moved from Networking to System.

Revision 1.24  2000/05/28 10:05:36  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/29 21:59:35  zagrodzki
- config files chowned root.ttyS

Revision 1.21  2000/03/29 21:08:45  zagrodzki
- config files permissions changed to 751/644 (was 750/640)

Revision 1.20  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.19  2000/02/25 21:26:51  zagrodzki
- new patch
- removed minicom.FAQ (is in the .tar.gz file)

Revision 1.18  2000/02/19 13:52:43  kloczek
- release 4,
- cosmetics.

Revision 1.17  2000/02/18 14:14:02  zagrodzki
- makefile patch (DESTDIR instead of R, RPM_OPT_FLAGS, ...)

Revision 1.16  2000/02/18 13:54:44  zagrodzki
- updated to 1.83.0
- adapter(ized)
- misc spec fixes
- new .desktop file

Revision 1.15  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.14  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).
